diff -ru ufraw-0.17.orig/configure.ac ufraw-0.17/configure.ac
--- ufraw-0.17.orig/configure.ac	2010-04-02 16:16:08.000000000 +0200
+++ ufraw-0.17/configure.ac	2010-04-02 16:19:33.000000000 +0200
@@ -246,11 +246,19 @@
   [ have_png=no
     AC_MSG_RESULT($LIBPNG_PKG_ERRORS) ] )
 
-PKG_CHECK_MODULES(CFITSIO, cfitsio,
-  [ have_cfitsio=yes
-    AC_DEFINE(HAVE_LIBCFITSIO, 1, have the cfitsio library) ],
-  [ have_cfitsio=no
-    AC_MSG_RESULT($CFITSIO_PKG_ERRORS) ] )
+AC_ARG_WITH([cfitsio],
+  [AS_HELP_STRING([--with-cfitsio],
+  [build fits support @<:@default=check@:>@])],
+  [],
+  [with_cfitsio=check])
+
+have_cfitsio=no
+AS_IF([test "x$with_cfitsio" != xno],
+  [PKG_CHECK_MODULES(CFITSIO, cfitsio,
+    [ have_cfitsio=yes
+      AC_DEFINE(HAVE_LIBCFITSIO, 1, have the cfitsio library) ],
+    [ have_cfitsio=no
+      AC_MSG_RESULT($CFITSIO_PKG_ERRORS) ] ) ] )
 
 PKG_CHECK_MODULES(EXIV2, exiv2 >= 0.16,
   [ have_exiv2=yes
